/* - Syne font (font-family: 'Syne', sans-serif;) */
/* @import url('https://fonts.googleapis.com/css2?family=Syne:wght@400;600;700&display=swap'); */

/* - Quick Sand (font-family: 'Quicksand', sans-serif;) */
/* @import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;600;700&display=swap'); */

/* - Tajawal */
/* @import url('https://fonts.googleapis.com/css2?family=Tajawal:wght@200;300;400;500;700;800&display=swap'); */

/* - Martel Sans */
/* @import url('https://fonts.googleapis.com/css2?family=Martel+Sans:wght@200;300;400;600;700;800&display=swap'); */

/* @import url('https://fonts.googleapis.com/css2?family=Rajdhani:wght@300;400;500;600;700&display=swap'); */

/**************************************
    - Variables [START]...
***************************************/

:root {
    --color-white: #fff;
    --color-light-grey: #282828;
    --color-light-grey-light: #efefef;
    --color-primary: #000;
    --color-primary-light: #f8fafb;
    --color-secondary: #4064d7;

    --color-success: #78c396;
    --color-success-light: #e1fbda;
    --color-fail: #c55d6b;
    --color-fail-light: #ffd9df;

    --font-color: #1e1e1e;
    --font-color-light: #727379;
    /* --font-color-light: #dadada; */
    
    --border-radius-big: 10px;
    --border-radius-medium: 5px;
    --border-radius-small: 2px;
    --box-shadow-light: rgba(0, 0, 0, 0.04) 0px 3px 5px;
    --transition-default: 0.35s all cubic-bezier(.17,.67,.63,.09);
    --cubic-bezier: cubic-bezier(.17,.67,.63,.09);

    /* --- Additional colors */
    --flat-green: #6CFF70;
    --flat-blue: #9293a3;
    --flat-yellow: #F5CC3F;
    --flat-red: #FF413F;

    /* --- Misc */
    --margin-bottom-big: 80px;
    --padding-button: 7.5px 15px;
    --font-family: 'Tajawal', sans-serif !important;
}

/**************************************
    - Variables ...[END]
***************************************/



/**************************************
    - Globals [START]...
***************************************/
* {
    color: var(--font-color);
}
a, legend {
    color: var(--color-secondary);
}
a {
    font-weight: 600;
}
h1, h2, h3, h4, h5, h6, b {
    font-weight: 600;
    font-family: var(--font-family);
}
p, a, button, ul, li, .title,
td, th, tr, table > * {
    font-family: var(--font-family);
}
.page-title-custom {
    margin-top: 20px;
    margin-bottom: 20px;
    font-size: 20px;
    font-family: var(--font-family);
    font-weight: 800;
    letter-spacing: 1.2px;
}
.no-padding-margin {
    margin: 0 !important;
    padding: 0 !important;
}

/* --- Page Structure */
body {
    background-color: var(--color-primary-light);
}
.page-content {
    /* overflow: hidden; */
}
.page-container {
    display: flex;
    overflow: hidden;
}
.page-container > .page-content-wrapper {
    width: 100%;
    padding-left: calc(20px + 300px);
    padding-top: 100px;
    padding-right: 20px;
}
.page-content > .page-bar {
    display: flex;
    width: 100%;
}
.page-content > .page-bar .page-title-breadcrumb {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    margin-bottom: 40px;
}
.page-content > .page-bar .page-title-breadcrumb .breadcrumb * {
    color: var(--font-color-light) !important;
}
.page-content > .page-bar .page-title-breadcrumb li {
    margin-right: 5px;
}
.container-full {
    max-width: 100% !important;
    padding: 0 !important;
}

/* --- Navbar top */
.page-header.navbar {
    margin-bottom: 40px;
    justify-content: flex-end !important;
    position: absolute;
    width: 100%;
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 20px;
}
.page-header.navbar img {
    margin-right: 10px;
    border-radius: 100%;
}
.page-header.navbar * {
    text-decoration: none;
}
.page-header.navbar .dropdown:hover {
    cursor: pointer;
}
.page-header.navbar .dropdown-menu.dropdown-menu-default.show {
    margin-top: 10px !important;
    border-radius: var(--border-radius-big) !important;
    padding: 10px;
}
.page-header.navbar .dropdown-menu.dropdown-menu-default.show li {
    display: flex;
    justify-content: flex-end;
}
.page-header.navbar .dropdown-menu.dropdown-menu-default.show li i {
    margin-right: 10px;
}

/* --- Sidebar */
.sidebar-container {
    background-color: var(--color-primary);
    position: fixed;
    width: 300px;
    height: 100%;
    z-index: 9;
    padding: 20px;
}
.sidebar-container * {
    color: var(--color-white);
}
.sidebar-container .sidebar-title {
    margin-top: 40px;
    text-align: center;
    margin-bottom: 80px;
}
.sidebar-container .sidebar-title i {
    font-size: 60px;
}
.sidebar-container .sidebar-items ul {
    list-style: none;
    padding: 0;
}
.sidebar-container .sidebar-items ul li {
    margin-bottom: 15px;
}
.sidebar-container .sidebar-items ul li:hover {
    cursor: pointer;
}
.sidebar-container .sidebar-items ul li a {
    color: var(--font-color-light);
    padding: 10px 15px;
    border-radius: var(--border-radius-big);
    text-decoration: none;
    width: 100%;
    display: block;
}
.sidebar-container .sidebar-items ul li a i {
    color: var(--font-color-light);
    margin-right: 10px;
}
.sidebar-container a.active-sidebar {
    background: var(--color-light-grey);
    color: var(--color-white) !important;
}
.sidebar-container a.active-sidebar i {
    color: var(--color-white) !important;
}

/* --- Boiler Template Stuff */
.info-box {
    background: var(--color-white) !important;
    border-radius: var(--border-radius-big);
    padding: 30px 20px !important;
    display: flex !important;
    width: 100% !important;
    position: relative !important;
    box-shadow: var(--box-shadow-light);
    margin-bottom: 40px;
}
.info-box-card {
    display: flex;
    align-items: center;
    background: var(--color-white) !important;
    padding: 10px 20px;
    border-radius: var(--border-radius-big) !important;
}
.info-box-card-none {
    display: flex;
    align-items: center;
    padding: 10px 20px;
}
.info-box-block {
    display: block !important;
}
.info-box-dark {
    background-color: var(--color-primary) !important;
}
.info-box-dark * {
    color: var(--font-color-light);
}
.btn.btn-full-width {
    width: 100% !important;
}
.btn.btn-primary {
    background-color: var(--color-primary) !important;
    border: none !important;
    color: #fff;
    font-weight: 700;
    border-radius: var(--border-radius-big);
    padding: var(--padding-button) !important;
}
.btn.btn-secondary {
    background-color: var(--color-secondary) !important;
    border: none !important;
    color: #fff;
    font-weight: 700;
    border-radius: var(--border-radius-big);
    padding: var(--padding-button) !important;
}
.btn.btn-default {
    background-color: var(--color-white) !important;
    border: 1px solid var(--color-primary) !important;
    color: var(--font-color);
    font-weight: 700;
    border-radius: var(--border-radius-big);
    padding: var(--padding-button) !important;
}

/* --- Loader */
.loader-custom-parent {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 100px;
}
.loader-custom {
    border: 6px solid var(--color-primary-light-2);
    border-top: 6px solid var(--color-primary);
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spinLoader 1s var(--cubic-bezier) infinite;
}
@keyframes spinLoader {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* .filters-checkbox-checkbox */
.filters-checkbox-checkbox > label {
    margin-bottom: 5px;
    margin-left: 10px;
    transform: translateY(5px);
}

/* --- DataTable */
.table>:not(caption)>*>* {
    border-bottom: none !important;
}
table.dataTable {
    padding-top: 20px !important;
}
table.dataTable td {
    vertical-align: middle;
    font-weight: 600;
}
table.dataTable tr:nth-child(odd) {
    background-color: var(--color-light-grey-light);
}

/**************************************
    - Globals ...[END]
***************************************/